gsl::CFDFMinimizer::Problem Class Referenceabstract

`#include <mia/core/gsl_multimin.hh>`

## Public Member Functions

| operator gsl_multimin_function_fdf * ()
| Problem (size_t n_params)
size_t | size () const

## Static Public Member Functions

static void | df (const gsl_vector *x, void *params, gsl_vector *g)
static double | f (const gsl_vector *x, void *params)
static void | fdf (const gsl_vector *x, void *params, double *f, gsl_vector *g)

## Detailed Description

This is the base class for all optimization problems that provide gradient information for optimization.

Definition at line 42 of file gsl_multimin.hh.

## Constructor & Destructor Documentation

## Problem()

gsl::CFDFMinimizer::Problem::Problem | ( | size_t | n_params | ) |

Initialize the optimization problem with the given number of parameters

## Member Function Documentation

## df()

void gsl::CFDFMinimizer::Problem::df | ( | const gsl_vector * | x,
|  | void * | params,
|  | gsl_vector * | g )

static

Callback to evaluate the gradient of the optimization criterion To derive a CFDFMinimizer::Problem, the do_df methods has to be implemented accordingly.

Remarks
  actually this function should be private and only visible CFDFMinimizer

## f()

double gsl::CFDFMinimizer::Problem::f | ( | const gsl_vector * | x,
|  | void * | params )

static

Callback to evaluate the value of the optimization criterion To derive a CFDFMinimizer::Problem, the do_f methods has to be implemented accordingly.

Remarks
  actually this function should be private and only visible CFDFMinimizer

Referenced by fdf().

## fdf()

void gsl::CFDFMinimizer::Problem::fdf | ( | const gsl_vector * | x,
|  | void * | params,
|  | double * | f,
|  | gsl_vector * | g )

static

Callback to evaluate the gradient and the value of the optimization criterion To derive a CFDFMinimizer::Problem, the do_fdf methods has to be implemented accordingly.

Remarks
  actually this function should be private and only visible to CFDFMinimizer

References f().

## operator gsl_multimin_function_fdf *()

gsl::CFDFMinimizer::Problem::operator gsl_multimin_function_fdf * | ( |  | ) |

## size()

size_t gsl::CFDFMinimizer::Problem::size | ( |  | ) | const

The documentation for this class was generated from the following file:

- gsl_multimin.hh